@use 'styles/navigation-breadcrumbs.variables' as *;

:host {
	@include digi-navigation-breadcrumbs--variables;

	.digi-navigation-breadcrumbs__items {
		list-style: none;
		display: var(--digi--navigation-breadcrumbs--items--display);
		flex-wrap: var(--digi--navigation-breadcrumbs--items--flex-wrap);
		margin: var(--digi--navigation-breadcrumbs--items--margin);
		padding: var(--digi--navigation-breadcrumbs--items--padding);
	}

	.digi-navigation-breadcrumbs__item {
		font-family: var(--digi--navigation-breadcrumbs--item--font-family);
		font-size: var(--digi--navigation-breadcrumbs--item--font-size);
		color: var(--digi--navigation-breadcrumbs--item--color);

		&:not([aria-current='page']) {
			&::after {
				content: '/';
				padding-inline: var(--digi--navigation-breadcrumbs--divider--padding);
			}
		}
	}

	.digi-navigation-breadcrumbs__link {
		text-decoration: none;
		color: var(--digi--navigation-breadcrumbs--link--color);
		font-size: var(--digi--navigation-breadcrumbs--item--font-size);
		text-decoration: var(--digi--navigation-breadcrumbs--item--text-decoration);

		&:visited {
			color: var(--digi--navigation-breadcrumbs--link--visited--color);
		}

		&:focus,
		&:hover {
			text-decoration: var(--digi--navigation-breadcrumbs--link--hover--focus--text-decoration);
			--digi--navigation-breadcrumbs--link--color: var(--digi--navigation-breadcrumbs--link--hover--focus--color);
		}

		&:focus-visible {
			outline: var(--digi--focus-outline);
			border-radius: var(--digi--global--border-radius--small);
		}
	}
}
